<?php
session_start();
include 'conexioon.php';

$fecha_inicio = isset($_GET['fecha_inicio']) ? $_GET['fecha_inicio'] : '';
$fecha_fin = isset($_GET['fecha_fin']) ? $_GET['fecha_fin'] : '';
$tipo_doc = isset($_GET['tipo_doc']) ? $_GET['tipo_doc'] : '';
$num_doc = isset($_GET['num_doc']) ? $_GET['num_doc'] : '';

$sql = "SELECT * FROM ventas WHERE 1=1";

if (!empty($fecha_inicio) && !empty($fecha_fin)) {
    $sql .= " AND fecha BETWEEN '$fecha_inicio' AND '$fecha_fin' AND tipo_doc <> 'P' ";
}

if (!empty($tipo_doc)) {
    $sql .= " AND tipo_doc = '$tipo_doc'";
}

if (!empty($num_doc)) {
    $sql .= " AND num_docpe LIKE '%$num_doc%'";
}

$result = $conn->query($sql);
$contador = 1; // Inicializa el contador
while ($row = $result->fetch_assoc()) {
    echo "<tr>
            <td style='cursor:pointer;color:rgb(63,81,181);text-align:center;font-weight-bold;'>{$contador}</td> <!-- Número de ítem -->
            <td style='display:none'>{$row['id']}</td>
            <td style='cursor:pointer;color:rgb(0,0,0);text-align:center;'>{$row['fecha']}</td>
            <td style='cursor:pointer;color:rgb(0,0,0);text-align:center;'>{$row['num_docpe']}</td>
            <td style='cursor:pointer;color:rgb(0,0,0);text-align:left;'>{$row['cliente']}</td>
            <td style='cursor:pointer;color:rgb(0,0,0);text-align:center;'>{$row['metodo']}</td>
            <td style='cursor:pointer;color:rgb(61,52,247);text-align:right;font-weight-bold;'>{$row['total']}</td>
            <td>
                <button class='btn btn-primary' onclick=\"reimprimirDocumento('{$row['id']}', '{$row['num_docpe']}')\"><i class='fa-solid fa-print'></i>&nbsp;Reimprimir</button>
            </td>
        </tr>";
    $contador++; // Incrementa el contador en cada iteración
}

$conn->close();
?>